# metric.cpp File Reference

`#include <boost/assign/list_of.hpp>`
`#include <boost/assign/list_inserter.hpp>`
`#include <boost/assign/std/vector.hpp>`
`#include <saga/saga/metric.hpp>`
`#include <saga/impl/engine/metric.hpp>`
`#include <saga/impl/engine/context_base.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail
## Variables
template struct SAGA_EXPORT_REPEAT | saga::detail::attribute< metric >